Package org.eclipse.net4j.util

# Class UUIDGenerator

java.lang.Object
org.eclipse.net4j.util.UUIDGenerator

public final class UUIDGenerator extends Object
Generates 16 byte UUID values and can encode them to Strings, decode from Strings respectively.

Since:
  3.2
Author:
  Eike Stepper

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`BYTES`
`static final UUIDGenerator`
`DEFAULT`
`static final int`
`NODE_ADDRESS_BYTES`

## Constructor Summary

Constructors
Constructor
Description
`UUIDGenerator()`
`UUIDGenerator(byte[] nodeAddress)`

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`decode(String string)`
`String`
`encode(byte[] uuid)`
`String`
`generate()`
`void`
`generate(byte[] uuid)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### BYTES

public static final int BYTES

Since:
  3.18
See Also:
  - Constant Field Values

### NODE_ADDRESS_BYTES

public static final int NODE_ADDRESS_BYTES

See Also:
  - Constant Field Values

### DEFAULT

public static final UUIDGenerator DEFAULT

## Constructor Details

### UUIDGenerator

public UUIDGenerator(byte[] nodeAddress)

### UUIDGenerator

public UUIDGenerator()

## Method Details

### generate

public String generate()

### generate

public void generate(byte[] uuid)

### encode

public String encode(byte[] uuid)

### decode

public byte[] decode(String string)